Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### link()

Examples

    void draw() {
      rect(20, 20, 60, 60);
    }

    void mousePressed() {
      link("http://processing.org");
    }

    void draw() {
      rect(20, 20, 60, 60);
    }

    void mousePressed() {
      link("http://processing.org", "_new");
    }

Description | Links to a webpage either in the same window or in a new window. The complete URL must be specified.

Syntax

    link(url)
    link(url, target)

Parameters

url | String: complete url as a String in quotes
target | String: name of the window to load the URL as a string in quotes

Usage | Web & Application

Updated on February 09, 2008 04:38:52pm PST